<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- av-076 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" class="main-bg" style="width: 100%; height: 100%; background-image: url('images/tbg.jpg'); background-repeat: repeat-x;">
    <tr>
        <td style="background-image: url('images/bbg.jpg'); background-position: bottom; background-repeat: repeat-x;">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/lbg.jpg'); background-repeat: repeat-y;">
                <tr>
                    <td style="background-image: url('images/rbg.jpg'); background-position: right; background-repeat: repeat-y;">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/tbg_l.jpg'); background-repeat: no-repeat;">
                            <tr>
                                <td style="background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
                                    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bbg_l.jpg'); background-position: bottom left; background-repeat: no-repeat;">
                                        <tr>
                                            <td style="background-image: url('images/bbg_r.jpg'); background-position: bottom right; background-repeat: no-repeat;">
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" style="width: 100%; height: 100%;">
	<TR>
		<TD height="169" valign="bottom" style="padding: 0 370px 20px 60px;">
		<!-- LOGO -->
    		<table cellpadding="0" cellspacing="0">
    			<tr>
    				<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
    				<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
    			</tr>
    			<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
    		</table>
		<!-- END LOGO -->
		</TD>
	</TR>
	<TR>
		<TD height="45" style="padding: 7px 290px 0 70px;">
		<!-- MENU -->
          <table cellpadding="0" cellspacing="0" align="center">
              <tr>
              	<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                 <xsl:call-template name="TOP-MENU"/>
              	<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
              </tr>
          </table>
		<!-- END MENU -->
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 440px;">
                <tr valign="top">
                    <td width="100%" class="pageContent" style="padding: 20px 20px 10px 90px;">
                		<!-- CONTENT -->
                  		<table cellpadding="0" cellspacing="0" border="0">
                  			<tr>
                  				<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  				<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
                  			</tr>
                  		</table>
                  		<div style="width:0px; height:15px;"><span></span></div>
                  		<xsl:apply-templates select="PAGE-CONTENT"/>
                		<!-- END CONTENT -->
                    </td>
                    <td style="padding: 120px 100px 10px 5px;">
                		<!-- SUBMENU -->
              			<table cellpadding="0" cellspacing="0" width="145" align="center">
                            <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
              			</table>
                		<!-- END SUBMENU -->
                        <div style="width:185px; height:0px;"><span></span></div>
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="130" valign="top" style="padding-top: 30px;">
    		<!-- BOTTOM MENU -->
    		<table cellpadding="0" cellspacing="0" align="center">
    			<tr>
    				<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
    				<xsl:call-template name="BOTTOM-MENU"/>
    				<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
    			</tr>
    		</table>
    		<!-- END BOOTTOM MENU -->
    		<div style="width:0px; height:10px;"><span></span></div>
    		<!-- FOOTER -->
    		<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
    		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
    		<tr>
    			<td style="padding-right: 10px;"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
    			<td class="asubmenu" style="width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    		</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    		<tr>
    			<td style="padding-right: 10px;"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
    			<td style="width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    		</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td></td><td height="20"><div style="height:2px; background-color: #5E626D; background-image: url('images/submenu_separator.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
