<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<tr>
				<td style="padding-bottom:1px">
				<table width="100%" height="23" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td align="left" valign="bottom"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" valign="bottom"><img src="images/bullet1.gif" width="14" height="14" /></td>
				</tr>
				</table>
				</td>
			</tr>		
            </xsl:when>
            <!-- active menu without link-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<tr>
				<td style="padding-bottom:1px">
				<table width="100%" height="23" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td align="left" valign="bottom"><span href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
					<td align="right" valign="bottom"><img src="images/bullet2.gif" width="14" height="14" /></td>
				</tr>
				</table>
				</td>
			</tr>			
            </xsl:when>
            <xsl:otherwise>
			<tr>
				<td style="padding-bottom:1px">
				<table width="100%" height="23" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td align="left" valign="bottom"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" valign="bottom"><img src="images/bullet1.gif" width="14" height="14" /></td>
				</tr>
				</table>
				</td>
			</tr>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
		<tr>
			<td align="center"><img src="images/menu_line.gif" width="158" height="8" /></td>
		</tr>
		</xsl:if>
	</xsl:template>	

	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
                <td style="padding-bottom:1px"><table width="100%" height="30" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td align="left" valign="middle"><span href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                      <td align="right" valign="middle"><img src="images/sub_button.gif" width="15" height="11" /></td>
                    </tr>
                </table></td>
              </tr>			
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
                <td style="padding-bottom:1px"><table width="100%" height="30" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td align="left" valign="middle"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                      <td align="right" valign="middle"><img src="images/sub_button.gif" width="15" height="11" /></td>
                    </tr>
                </table></td>
              </tr>		  	
				</xsl:if>
            </xsl:otherwise>
			

		</xsl:choose>
		<xsl:if test="position()!=last()">
		<tr>
			<td align="center"><img src="images/sub_line.gif" width="158" height="1" /></td>
		</tr>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
