<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>
		
		<html>
<!-- av-139 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
		
		<body style="margin:0">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="220" valign="top"><table width="220" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="161"><table border="0" align="center" cellpadding="0" cellspacing="5">
            <tr>
              <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            </tr>
            <tr>
              <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            </tr>
        </table></td>
        </tr>
      <tr>
        <td background="images/menu_bg.gif"><table width="220" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td height="24"><img src="images/blank.gif" width="1" height="1" /></td>
            </tr>
          </table>

		  <!-- MENU -->
		  <!--CALL TOP-MENU -->
			<xsl:call-template name="TOP-MENU"/>
		  <!-- END MENU -->


          <table width="220" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="24"><img src="images/blank.gif" width="1" height="1" /></td>
              </tr>
          </table></td>
        </tr>
      <tr>
        <td width="220"><table width="220" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td height="24"><img src="images/blank.gif" width="1" height="1" /></td>
            </tr>
          </table>

		  <!--2ndmenu /-->
		  <!-- CALL SUB-MENU -->
		  <xsl:call-template name="SUB-MENU">
			<xsl:with-param name="pageID" select="@ID"/>
		  </xsl:call-template>
		  <!--/ 2ndmenu-->




          <table width="220" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="24"><img src="images/blank.gif" width="1" height="1" /></td>
              </tr>
          </table></td>
        </tr>

    </table></td>
    <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="241" background="images/header_bg.jpg"><table width="100%" height="241" border="0" cellpadding="0" cellspacing="0" background="images/header.jpg" style="background-position:left; background-repeat:no-repeat">
          <tr>
            <td align="left" valign="top"><table width="241" height="81" border="0" cellpadding="0" cellspacing="1" bgcolor="#FFFFFF">
              <tr>
                <td align="center" valign="middle" background="images/slogan_bg.gif" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table>
      <table width="90%" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td height="22"><img src="images/blank.gif" width="1" height="1" /></td>
        </tr>
        <tr>
			<td nowrap="nowrap"><div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/><span style="padding-right: 5px;"></span><img src="images/title_point.gif" width="17" height="17" align="absmiddle" /></div></td>
        </tr>
        <tr>
          <td height="12">
		  <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="pageContent" name="SB_stretch">
				<!-- CONTENT -->
						<xsl:apply-templates select="PAGE-CONTENT"/>
					<!-- END CONTENT -->				
				</td>
              </tr>
            </table>
              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td><img src="images/blank.gif" width="1" height="1" /></td>
                </tr>
            </table></td>
        </tr>
        <tr>
          <td></td>
        </tr>
      </table></td>
  </tr>
</table>
<table width="100%" border="0" cellpadding="0" cellspacing="1">
  <tr><td width="220" background="images/foot_bg.gif"><table width="220" height="60" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td align="center"><p class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></p>
        </td>
    </tr>
  </table></td>
    <td width="100%" background="images/bottom_bg.gif"><table width="100%" height="60" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td>
		
		<!-- CALL BOTTOM-MENU -->
	<xsl:call-template name="BOTTOM-MENU"/>
<!-- END BOTTOM-MENU -->
		
		</td>
      </tr>
    </table></td>
  </tr>
</table>
</body>
</html>


</xsl:template>


	<!--TOP-MENU-->

				
	<xsl:template name="TOP-MENU">
		<table width="136" border="0" align="center" cellpadding="0" cellspacing="0">
			<xsl:apply-templates select="MENU" mode="top"/>
		</table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">			
       			 <table width="136" border="0" align="center" cellpadding="0" cellspacing="0">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				
       			<table width="136" border="0" align="center" cellpadding="0" cellspacing="0">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
				
			</xsl:when>
		<xsl:otherwise></xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
	<table border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
		<xsl:apply-templates select="MENU" mode="bottom"/>
	</tr>
	</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
					<td><a href="{@HREF}" class="bot_menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
					<td><span href="{@HREF}" class="bot_menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>   	
                </xsl:when>
                <xsl:otherwise>
					<td><a href="{@HREF}" class="bot_menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:otherwise>
            </xsl:choose>
   			<xsl:if test="position()!=last()">
			  <td><img src="images/foot_button.gif" width="9" height="7" /></td>
   			</xsl:if>
	</xsl:template>

	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
