<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-155 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  
  <tr>
    <td width="217" colspan="2" valign="top" background="images/002.gif" style="background-position:top left;background-repeat:repeat-x;"><table width="218" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="187" ><!-- LOGO --><table width="180" border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
              <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
            </tr>
            <tr>
              <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
            </tr>
        </table><!-- END LOGO --></td>
      </tr>
      <tr>
        <td valign="top" style="padding-top:20px;padding-bottom:10px;"> 
		<!-- MENU -->
		<table width="165" border="0" align="center" cellpadding="0" cellspacing="0">
            <xsl:call-template name="TOP-MENU"/>
        </table>
		 <!-- END MENU -->
		</td>
      </tr>
      <tr>
        <td><div align="right"><img src="images/006_2.gif" width="192" height="37"/></div></td>
      </tr>
      <tr>
        <td valign="top" style="padding-top:10px;"><!-- SUBMENU -->
		<table width="165" border="0" align="center" cellpadding="0" cellspacing="0">
            <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </table>
		<!-- END SUBMENU --></td>
      </tr>
    </table></td>
    <td height="100%" valign="top"><table width="100%" height="100%" border="0" align="left" cellpadding="0" cellspacing="0">
      <tr>
        <td height="224" background="images/headerb.gif"><table width="100%" height="224" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="bottom" background="images/header.gif" style="background-position:left top;background-repeat:no-repeat;padding-right:20px;padding-bottom:8px;"><table width="300" border="0" align="right" cellpadding="0" cellspacing="0">
              <tr>
                <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="100%" valign="top" style="border-top-width: 1px;
	border-left-width: 1px;
	border-top-style: solid;
	border-left-style: solid;
	border-top-color: #D6D6D6;
	border-left-color: #D6D6D6;"><!-- CONTENT -->
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="100%" height="100%" valign="top"><table  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                <tr>
                  <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  <td><img src="images/007.gif" width="17" height="17"/></td>
                </tr>
              </table>
                <br/>
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
	<td width="100%" height="100%" class="pageContent" name="SB_stretch" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
          </tr>
        </table><!-- END CONTENT --></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="30" colspan="3" bgcolor="#FFFFFF"></td>
  </tr>
  <tr>
    <td width="217" background="images/001.gif" style="background-position:top;background-repeat:repeat-x;"><!-- FOOTER --><table width="180" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table><!-- END FOOTER --></td>
    <td width="1" bgcolor="#FFFFFF"></td>
    <td height="55" background="images/001_1.gif" style="background-position:top;background-repeat:repeat-x;padding:10px;"><!-- BOTTOM MENU --><table border="0" cellspacing="0" cellpadding="0" align="center">
      <tr>
        <td width="15"></td>
        <xsl:call-template name="BOTTOM-MENU"/>
        <td width="15"></td>
      </tr>
    </table><!-- END BOTTOM MENU --></td>
  </tr>
  
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


 <tr>
<td width="5"></td>
<td class="tmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td class="t1"><img src="images/006_4.gif"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<tr>
<td width="5"></td>
<td ><a href='{@HREF}' class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
<td class="t1"><img src="images/006_4.gif"/></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td colspan="3"><img src="images/006_3.gif"/></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >


<td ><div align="center"><a href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>

<td ><div align="center"><a href='{@HREF}' class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
<td width="8"></td>
<td class="b1"><img src="images/004.gif" /></td>
<td width="8"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
