<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- av-166 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%; background-image: url('images/bg.gif'); background-repeat: repeat-x;">
	<TR>
		<TD height="165" style="padding-right: 35px;">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr>
                    <td>
                		<!-- LOGO -->
  						<table cellpadding="0" cellspacing="0" align="center">
  							<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
  							<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
  							<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
  						</table>
                		<!-- END LOGO -->
                        <div style="width:245px; height:0px;"><span></span></div>
                    </td>
                    <td width="100%" style="background-image: url('images/header_bg.gif'); background-color: #ffffff; ">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header_l.jpg'); background-repeat: no-repeat;">
                            <tr>
                                <td style="background-image: url('images/header_r.jpg'); background-position: top right; background-repeat: no-repeat;"></td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
    <TR><TD height="5"></TD></TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top" style="padding: 0 35px 0 35px;">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr valign="top">
                    <td style="padding-right: 5px;">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 203px; height: 240px; background-color: #ffffff; background-image: url('images/submenu_tbg.gif'); background-repeat: no-repeat;">
                            <tr>
                                <td height="100%" valign="top" style="padding-top: 25px;">
                            		<!-- SUBMENU -->
                          			<table cellpadding="0" cellspacing="0" width="145" align="center">
                                        <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                          			</table>
                            		<!-- END SUBMENU -->
                                </td>
                            </tr>
                            <tr><td><img src="images/submenu_bbg.gif" border="0" alt=""/></td></tr>
                        </table>
                    </td>
                    <td width="100%">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                            <tr>
                                <td>
                                  <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 43px; background-color: #ffffff;">
                                      <tr>
                                          <td><img src="images/menu_l.gif" border="0" alt=""/></td>
                                          <td width="100%" style="background-image: url('images/menu_bg.gif');">
                                      		<!-- MENU -->
                                    			<table cellpadding="0" cellspacing="0" align="center">
                                    				<tr>
                                    					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                                                        <xsl:call-template name="TOP-MENU"/>
                                    					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                                    				</tr>
                                    			</table>
                                      		<!-- END MENU -->
                                          </td>
                                          <td><img src="images/menu_r.gif" border="0" alt=""/></td>
                                      </tr>
                                  </table>
                                </td>
                            </tr>
                            <tr><td height="5"></td></tr>
                            <tr>
                                <td height="100%">
                                    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-color: #ffffff; background-image: url('images/bg_bg.gif'); background-repeat: repeat-x;">
                                        <tr>
                                            <td style="height: 100%; background-image: url('images/bg_tl.gif'); background-repeat: no-repeat;">
                                                <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bg_tr.gif'); background-position: top right; background-repeat: no-repeat;">
                                                    <tr>
                                                        <td valign="top" class="pageContent" style="padding: 25px 30px 20px 30px;">
                                                    		<!-- CONTENT -->
                                                    		<table cellpadding="0" cellspacing="0" border="0">
                                                    			<tr>
                                                    				<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                                    				<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
                                                    			</tr>
                                                    		</table>
                                                    		<div style="width:0px; height:15px;"><span></span></div>
                                                    		<xsl:apply-templates select="PAGE-CONTENT"/>
                                                    		<!-- END CONTENT -->
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                                                    <tr>
                                                        <td><img src="images/bg_bl.gif" border="0" alt=""/></td>
                                                        <td align="right"><img src="images/bg_br.gif" border="0" alt=""/></td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="65" style="padding: 0 35px;">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr>
                    <td align="center" class="footer">
                  		<!-- FOOTER -->
                        <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                  		<!-- END FOOTER -->
                        <div style="width:203px; height:0px;"><span></span></div>
                    </td>
                    <td width="100%">
                		<!-- BOTTOM MENU -->
  						<table cellpadding="0" cellspacing="0" align="center">
  							<tr>
  								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                                <xsl:call-template name="BOTTOM-MENU"/>
  								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
  							</tr>
  						</table>
                		<!-- END BOOTTOM MENU -->
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
    		<tr>
    			<td><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
    			<td class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    		</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    		<tr>
    			<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
    			<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    		</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:1px; background-color: #C2C2C2; background-image: url('images/submenu_separator.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
